source: valtobtest/subversion-1.6.2/tools/buildbot/slaves/ubuntu-x64/svncheck.sh @ 3

Last change on this file since 3 was 3, checked in by valtob, 15 years ago

subversion source 1.6.2 as test

  • Property svn:executable set to *
File size: 431 bytes
Line 
1#!/bin/bash
2
3
4set -x
5
6if test -z "$1" ; then
7  echo "Missing FS_TYPE specifier (arg #1)."
8  exit 1
9fi
10
11echo "========= mount RAM disc"
12# ignore the result: if it fails, the test will just take longer...
13mkdir -p subversion/tests/cmdline/svn-test-work
14test -e ../mount-ramdrive && ../mount-ramdrive
15
16echo "========= make check"
17make check FS_TYPE=$1 CLEANUP=1 || exit $?
18
19# the bindings are checked with svncheck-bindings.sh
20exit 0
Note: See TracBrowser for help on using the repository browser.